Search YouTube audiences
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/exploration/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/exploration/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/exploration/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"query": "<string>",
"channels": [
{
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123
}
],
"similar": [
{
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123
}
],
"topics": [
{
"topic": "<string>",
"kind": "conversation",
"channels": 123
}
],
"audiences": [
{
"id": "<string>",
"name": "<string>",
"preset": true,
"channels": 123
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Audience Exploration
Search YouTube audiences
Find a starting point for a map: channels by name, channels whose audiences talk about your words, topics, and saved audiences.
Scope: exploration:read.
GET
/
exploration
/
search
Search YouTube audiences
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/exploration/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/exploration/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/exploration/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"query": "<string>",
"channels": [
{
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123
}
],
"similar": [
{
"channelId": "<string>",
"title": "<string>",
"handle": "<string>",
"imageUrl": "<string>",
"subscribers": 123
}
],
"topics": [
{
"topic": "<string>",
"kind": "conversation",
"channels": 123
}
],
"audiences": [
{
"id": "<string>",
"name": "<string>",
"preset": true,
"channels": 123
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Query Parameters
A channel name, @handle, YouTube URL or a few words about an audience.
Required string length:
1 - 200
